> For the complete documentation index, see [llms.txt](https://docs.commercelayer.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.commercelayer.io/how-tos/placing-orders/payments/klarna/sending-back-the-authorization-token.md).

# Sending back the authorization token

How to submit a payment request to Klarna

## Problem

Your customer has [authorized the purchase on Klarna](https://docs.klarna.com/klarna-payments/api-call-descriptions/authorize-the-purchase/) through the client SDK. You need to create the order on Klarna with the authorization token returned by the client to proceed with the payment flow.

## Solution

To create an order on Klarna you have to update the Klarna payment object first. To do that, send a `PATCH` request to the `/api/klarna_payments/:id` endpoint, filling the `auth_token` attribute returned by the client SDK.

### Example

{% tabs %}
{% tab title="Request" %}
The following request updates the Klarna payment source identified by the "ertHJlpPTR" ID with the `auth_token` received from the client:

```javascript
curl -g -X PATCH \
  'http://yourdomain.commercelayer.io/api/klarna_payments/ertHJlpPTR' \
  -H 'Accept: application/vnd.api+json' \
  -H 'Authorization: Bearer your-access-token' \
  -H 'Content-Type: application/vnd.api+json' \
  -d '{
  "data": {
    "type": "klarna_payments",
    "id": "ertHJlpPTR",
    "attributes": {
      "auth_token": "0b1d9815-165e-42e2-8867-35bc03789e00"
    }
  }
}'
```

{% endtab %}

{% tab title="Response" %}
On success, the API responds with a `200 OK` status code, returning the updated Klarna payment object:

```javascript
{
  "data": {
    "id": "ertHJlpPTR",
    "type": "klarna_payments",
    "links": {
      "self": "https://yourdomain.commercelayer.io/api/klarna_payments/ertHJlpPTR"
    },
    "attributes": {
      "auth_token": "0b1d9815-165e-42e2-8867-35bc03789e00",
      "payment_request_data": {
        "client_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.ewogICJzZXNzaW9uX2lkIiA6ICIw",
        "payment_method_categories": [
          {...}
        ],
        "session_id": "0b1d9815-165e-42e2-8867-35bc03789e00"
      },
      "payment_response": {},
      "payment_instrument":{...},
      "created_at": "2018-01-01T12:00:00.000Z",
      "updated_at": "2018-01-01T12:00:00.000Z",
      "reference": null,
      "reference_origin": null,
      "metadata": {}
    },
    "relationships": {
      "order": {
        "links": {...}
      }
    },
    "meta": {
      "mode": "test",
      "organization_id": "Op2qQrRsSt",
      "trace_id": "4d7e0f3a6b9c2d5e8f1a4b7c0d3e6f9a2b5c8d1e4f7a0b3c6d9e2f5a8b1c4d7e0"
    }
  },
  "meta": {
    "mode": "test",
    "organization_id": "Op2qQrRsSt",
    "trace_id": "4d7e0f3a6b9c2d5e8f1a4b7c0d3e6f9a2b5c8d1e4f7a0b3c6d9e2f5a8b1c4d7e0"
  }
}
```

{% endtab %}
{% endtabs %}

## More to read

See our documentation if you need more information on how to [update a Klarna payment](https://docs.commercelayer.io/developers/v/api-reference/klarna_payments/update). See our Checkout guide for more details on how to place an order.

{% content-ref url="/pages/-LyDmx1SH-gJp8DstXnO" %}
[Placing the order](/how-tos/placing-orders/checkout/placing-the-order.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.commercelayer.io/how-tos/placing-orders/payments/klarna/sending-back-the-authorization-token.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
